import { ElementRef, EventEmitter, ChangeDetectorRef, SimpleChanges, OnInit, OnChanges, OnDestroy, AfterViewInit } from '@angular/core';
import { CIService } from '../lib.service';
import { DomSanitizer, SafeStyle } from '@angular/platform-browser';
import { Observable, Subscription } from 'rxjs';
export declare class ImgComponent implements OnInit, OnChanges, AfterViewInit, OnDestroy {
    private ciService;
    private _sanitizer;
    private cd;
    private platformId;
    imgElem: ElementRef;
    pictureElem: ElementRef;
    src: string;
    class: string;
    alt: string;
    operation: string;
    o: string;
    size: string | {};
    s: string | {};
    filters: string;
    f: string;
    ratio: number;
    offset: number;
    ngSwitch: any;
    lazyLoading: boolean | null;
    emptyOnSsr: boolean;
    imageLoaded: EventEmitter<any>;
    resizeObservable$: Observable<Event>;
    resizeSubscription$: Subscription;
    cloudimageUrl: string;
    sources: any[];
    firstSource: any;
    restSources: any[];
    isLoaded: boolean;
    isProcessed: boolean;
    isPreview: boolean;
    previewCloudimageUrl: string;
    previewSources: any[];
    isAdaptive: boolean;
    actualSize: string;
    parentContainerWidth: number;
    isPreviewLoaded: boolean;
    isRatio: boolean;
    ratioBySize: number;
    imageHeight: number;
    windowInnerWidth: number;
    isSsr: boolean;
    readonly isLazyLoadingMode: boolean;
    constructor(ciService: CIService, _sanitizer: DomSanitizer, cd: ChangeDetectorRef, platformId: Object);
    ngOnDestroy(): void;
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngAfterViewInit(): void;
    processImage(): void;
    onImageLoad($event: any): void;
    getRestSources(): object[];
    getFirstSource(): object;
    getPositionStyle(): SafeStyle;
    getImgHeight(): SafeStyle;
    getTransformStyle(): SafeStyle;
    getTransitionStyle(): SafeStyle;
    getFilterStyle(): SafeStyle;
    getPicturePaddingBottom(): SafeStyle;
    getImagePaddingBottom(): SafeStyle;
    getPictureBackground(): SafeStyle;
    getBasicImageStyles(): SafeStyle;
}
